Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.plugin
Class PluginLauncher

    java.lang.Object
      org.red5.server.plugin.PluginLauncher

All Implemented Interfaces:
  DisposableBean, InitializingBean, ApplicationContextAware

    public class PluginLauncher

extends Object
implements ApplicationContextAware, InitializingBean, DisposableBean

Creates the plug-in environment and cleans up on shutdown.

Author:
  Paul Gregoire (mondain@gmail.com)

Field Summary
`protected static Logger` | `log`

Constructor Summary
`PluginLauncher()`

Method Summary
`void` | `afterPropertiesSet()`
`void` | `destroy()`
`void` | `setApplicationContext(ApplicationContext applicationContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static Logger log

Constructor Detail

### PluginLauncher

    public PluginLauncher()

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Throws:
    `Exception`

### destroy

    public void destroy()
                 throws Exception

  Specified by:
    `destroy` in interface `DisposableBean`
  Throws:
    `Exception`

### setApplicationContext

    public void setApplicationContext(ApplicationContext applicationContext)
                               throws BeansException

  Specified by:
    `setApplicationContext` in interface `ApplicationContextAware`
  Throws:
    `BeansException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project